summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-sound/ecasound
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-sound/ecasound')
-rw-r--r--media-sound/ecasound/Manifest3
-rw-r--r--media-sound/ecasound/ecasound-2.6.0.ebuild77
-rw-r--r--media-sound/ecasound/ecasound-2.9.0.ebuild102
-rw-r--r--media-sound/ecasound/ecasound-2.9.1.ebuild102
-rw-r--r--media-sound/ecasound/files/ecasound-2.8.1-ldflags.patch64
-rw-r--r--media-sound/ecasound/metadata.xml20
6 files changed, 368 insertions, 0 deletions
diff --git a/media-sound/ecasound/Manifest b/media-sound/ecasound/Manifest
new file mode 100644
index 00000000000..6d38b8d0506
--- /dev/null
+++ b/media-sound/ecasound/Manifest
@@ -0,0 +1,3 @@
+DIST ecasound-2.6.0.tar.gz 966629 SHA256 925d12a422883c356565c542110d070f61c3693e01eaa1b00eb25082e4779f88
+DIST ecasound-2.9.0.tar.gz 1055913 SHA256 e2b0b8f8cce6074d660e460b3a02fc0132a51e1e982b78b3a68fa14e79fcc6c6 SHA512 d8ba4274413616b37084f716ca9c91434280cc600e5e2c231a755cbe27b05df0095b8178d280c2e576d91d04ff27aad4793ecec70c1bbb8b2ae73a030c8cbb13 WHIRLPOOL 7f9ce963a8e971b8d6a169cd07d82349f4050853b2f7b9f3a35c3c99754be1da14555ff9c61213c0f44b869a9f514a68860336e83d055e15b34268b2dc92d868
+DIST ecasound-2.9.1.tar.gz 1057333 SHA256 39fce8becd84d80620fa3de31fb5223b2b7d4648d36c9c337d3739c2fad0dcf3 SHA512 b91fd68cb4809fdf62b25323fbf52c9bb7de6663287d5aa2576cc4fb28e322850b7020df2718ed6087f5d9f5f96692a476287378ea65853d01834523e8eb7033 WHIRLPOOL ef4eccd6a2ac1b508246ce7660614e52bc9033814011cff588382f1a76ac9fc124aecd6dbd3fb4ffeb337a8eb7ef1e87c438e2c994faddd70d9a2fc49561a80d
diff --git a/media-sound/ecasound/ecasound-2.6.0.ebuild b/media-sound/ecasound/ecasound-2.6.0.ebuild
new file mode 100644
index 00000000000..3b0e3ca6bca
--- /dev/null
+++ b/media-sound/ecasound/ecasound-2.6.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+
+inherit eutils python
+
+DESCRIPTION="a package for multitrack audio processing"
+HOMEPAGE="http://ecasound.seul.org/ecasound"
+SRC_URI="http://${PN}.seul.org/download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="amd64 ~ppc x86"
+IUSE="alsa audiofile debug doc jack libsamplerate mikmod ncurses vorbis oss python ruby sndfile"
+
+RDEPEND="python? ( dev-lang/python )
+ jack? ( media-sound/jack-audio-connection-kit )
+ media-libs/ladspa-sdk
+ audiofile? ( media-libs/audiofile )
+ alsa? ( media-libs/alsa-lib )
+ vorbis? ( media-libs/libvorbis )
+ libsamplerate? ( media-libs/libsamplerate )
+ mikmod? ( media-libs/libmikmod:0 )
+ ruby? ( dev-lang/ruby )
+ python? ( dev-lang/python )
+ ncurses? ( sys-libs/ncurses )
+ sndfile? ( media-libs/libsndfile )
+ sys-libs/readline"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local PYConf
+
+ if use python; then
+ PYConf="--enable-pyecasound=c
+ --with-python-includes=$(python_get_includedir)
+ --with-python-modules=$(python_get_libdir)"
+ else
+ PYConf="$myconf --disable-pyecasound"
+ fi
+
+ econf \
+ $(use_enable alsa) \
+ --disable-arts \
+ $(use_enable audiofile) \
+ $(use_enable debug) \
+ $(use_enable jack) \
+ $(use_enable libsamplerate) \
+ $(use_enable ncurses) \
+ $(use_enable oss) \
+ $(use_enable ruby rubyecasound) \
+ $(use_enable sndfile) \
+ --enable-shared \
+ --with-largefile \
+ --enable-sys-readline \
+ ${PYConf} || die "econf failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed."
+ dodoc BUGS NEWS README TODO Documentation/*.txt
+ use doc && dohtml Documentation/*.html
+}
+
+pkg_postinst() {
+ if use python; then
+ python_mod_optimize ecacontrol.py eci.py pyeca.py
+ fi
+}
+
+pkg_postrm() {
+ if use python; then
+ python_mod_cleanup ecacontrol.py eci.py pyeca.py
+ fi
+}
diff --git a/media-sound/ecasound/ecasound-2.9.0.ebuild b/media-sound/ecasound/ecasound-2.9.0.ebuild
new file mode 100644
index 00000000000..6135d639163
--- /dev/null
+++ b/media-sound/ecasound/ecasound-2.9.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+PYTHON_DEPEND="python? 2"
+
+inherit eutils python autotools
+
+DESCRIPTION="a package for multitrack audio processing"
+HOMEPAGE="http://ecasound.seul.org/ecasound"
+SRC_URI="http://ecasound.seul.org/download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="alsa audiofile debug doc jack libsamplerate lv2 mikmod ncurses oil osc oss
+python ruby sndfile static-libs test"
+REQUIRED_USE="test? ( lv2 )"
+
+RDEPEND="sys-libs/readline
+ alsa? ( media-libs/alsa-lib )
+ audiofile? ( media-libs/audiofile )
+ jack? ( media-sound/jack-audio-connection-kit )
+ libsamplerate? ( media-libs/libsamplerate )
+ lv2? ( >=media-libs/lilv-0.5.0 )
+ media-libs/ladspa-sdk
+ mikmod? ( media-libs/libmikmod:0 )
+ ncurses? ( sys-libs/ncurses )
+ oil? ( dev-libs/liboil )
+ osc? ( media-libs/liblo )
+ ruby? ( dev-lang/ruby )
+ sndfile? ( media-libs/libsndfile )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+pkg_setup() {
+ if use python ; then
+ python_set_active_version 2
+ python_pkg_setup
+ fi
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-2.8.1-ldflags.patch
+
+ if use python ; then
+ sed -i -e "s:\$(ecasoundc_libs):\0 $(python_get_library -l):" \
+ pyecasound/Makefile.am || die "sed failed"
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ local pyconf
+
+ if use python ; then
+ pyconf="--with-python-includes=${EPREFIX}$(python_get_includedir)
+ --with-python-modules=${EPREFIX}$(python_get_libdir)"
+ fi
+
+ econf \
+ --disable-arts \
+ --enable-shared \
+ --enable-sys-readline \
+ --with-largefile \
+ $(use_enable alsa) \
+ $(use_enable audiofile) \
+ $(use_enable debug) \
+ $(use_enable jack) \
+ $(use_enable libsamplerate) \
+ $(use_enable lv2 liblilv) \
+ $(use_enable ncurses) \
+ $(use_enable oil liboil) \
+ $(use_enable osc liblo) \
+ $(use_enable oss) \
+ $(use_enable python pyecasound) \
+ $(use_enable ruby rubyecasound) \
+ $(use_enable sndfile) \
+ $(use_enable static-libs static) \
+ ${pyconf}
+}
+
+src_install() {
+ default
+
+ if use doc ; then
+ dohtml Documentation/*.html
+ dodoc Documentation/programmers_guide/ecasound_programmers_guide.txt
+ fi
+
+ prune_libtool_files
+}
+
+pkg_postinst() {
+ use python && python_mod_optimize ecacontrol.py eci.py pyeca.py
+}
+
+pkg_postrm() {
+ use python && python_mod_cleanup ecacontrol.py eci.py pyeca.py
+}
diff --git a/media-sound/ecasound/ecasound-2.9.1.ebuild b/media-sound/ecasound/ecasound-2.9.1.ebuild
new file mode 100644
index 00000000000..a17e5c60fb1
--- /dev/null
+++ b/media-sound/ecasound/ecasound-2.9.1.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+PYTHON_DEPEND="python? 2"
+
+inherit eutils python autotools
+
+DESCRIPTION="a package for multitrack audio processing"
+HOMEPAGE="http://ecasound.seul.org/ecasound"
+SRC_URI="http://ecasound.seul.org/download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="alsa audiofile debug doc jack libsamplerate lv2 mikmod ncurses oil osc oss
+python ruby sndfile static-libs test"
+REQUIRED_USE="test? ( lv2 )"
+
+RDEPEND="sys-libs/readline
+ alsa? ( media-libs/alsa-lib )
+ audiofile? ( media-libs/audiofile )
+ jack? ( media-sound/jack-audio-connection-kit )
+ libsamplerate? ( media-libs/libsamplerate )
+ lv2? ( >=media-libs/lilv-0.5.0 )
+ media-libs/ladspa-sdk
+ mikmod? ( media-libs/libmikmod:0 )
+ ncurses? ( sys-libs/ncurses )
+ oil? ( dev-libs/liboil )
+ osc? ( media-libs/liblo )
+ ruby? ( dev-lang/ruby )
+ sndfile? ( media-libs/libsndfile )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+pkg_setup() {
+ if use python ; then
+ python_set_active_version 2
+ python_pkg_setup
+ fi
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-2.8.1-ldflags.patch
+
+ if use python ; then
+ sed -i -e "s:\$(ecasoundc_libs):\0 $(python_get_library -l):" \
+ pyecasound/Makefile.am || die "sed failed"
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ local pyconf
+
+ if use python ; then
+ pyconf="--with-python-includes=${EPREFIX}$(python_get_includedir)
+ --with-python-modules=${EPREFIX}$(python_get_libdir)"
+ fi
+
+ econf \
+ --disable-arts \
+ --enable-shared \
+ --enable-sys-readline \
+ --with-largefile \
+ $(use_enable alsa) \
+ $(use_enable audiofile) \
+ $(use_enable debug) \
+ $(use_enable jack) \
+ $(use_enable libsamplerate) \
+ $(use_enable lv2 liblilv) \
+ $(use_enable ncurses) \
+ $(use_enable oil liboil) \
+ $(use_enable osc liblo) \
+ $(use_enable oss) \
+ $(use_enable python pyecasound) \
+ $(use_enable ruby rubyecasound) \
+ $(use_enable sndfile) \
+ $(use_enable static-libs static) \
+ ${pyconf}
+}
+
+src_install() {
+ default
+
+ if use doc ; then
+ dohtml Documentation/*.html
+ dodoc Documentation/programmers_guide/ecasound_programmers_guide.txt
+ fi
+
+ prune_libtool_files
+}
+
+pkg_postinst() {
+ use python && python_mod_optimize ecacontrol.py eci.py pyeca.py
+}
+
+pkg_postrm() {
+ use python && python_mod_cleanup ecacontrol.py eci.py pyeca.py
+}
diff --git a/media-sound/ecasound/files/ecasound-2.8.1-ldflags.patch b/media-sound/ecasound/files/ecasound-2.8.1-ldflags.patch
new file mode 100644
index 00000000000..8dca486f06e
--- /dev/null
+++ b/media-sound/ecasound/files/ecasound-2.8.1-ldflags.patch
@@ -0,0 +1,64 @@
+--- ecasound-2.8.1.orig/kvutils/Makefile.am
++++ ecasound-2.8.1/kvutils/Makefile.am
+@@ -56,13 +56,12 @@
+ kvu_value_queue.h
+
+ libkvutils_la_SOURCES = $(kvutil_sources) $(kvutil_headers)
+-libkvutils_la_LDFLAGS = -version-info @LIBKVUTILS_VERSION@:0:@LIBKVUTILS_VERSION_AGE@ -static
++libkvutils_la_LDFLAGS = -version-info @LIBKVUTILS_VERSION@:0:@LIBKVUTILS_VERSION_AGE@
+
+ libkvutils_debug_la_SOURCES = $(libkvutils_la_SOURCES)
+ libkvutils_debug_la_LDFLAGS = $(libkvutils_la_LDFLAGS)
+
+ libkvutils_tester_SOURCES = libkvutils_tester.cpp
+-libkvutils_tester_LDFLAGS = -static
+ libkvutils_tester_LDADD = $(lib_LTLIBRARIES)
+
+ noinst_HEADERS = $(kvutil_headers)
+--- ecasound-2.8.1.orig/libecasound/Makefile.am
++++ ecasound-2.8.1/libecasound/Makefile.am
+@@ -364,7 +364,7 @@
+
+ libecasound_la_SOURCES = $(ecasound_common1_src) $(ecasound_common2_src)
+ libecasound_debug_la_SOURCES = $(ecasound_common1_src) $(ecasound_common2_src)
+-libecasound_la_LDFLAGS = -export-dynamic $(eca_ldflags) -static
++libecasound_la_LDFLAGS = -export-dynamic $(eca_ldflags)
+ libecasound_la_LIBADD = $(eca_libadd)
+ libecasound_debug_la_LDFLAGS = $(libecasound_la_LDFLAGS)
+ libecasound_debug_la_LIBADD = $(libecasound_la_LIBADD)
+--- ecasound-2.8.1.orig/libecasound/plugins/Makefile.am
++++ ecasound-2.8.1/libecasound/plugins/Makefile.am
+@@ -105,7 +105,7 @@
+ libecasound_plugins_la_SOURCES = audioio_dummy.cpp $(plugin_cond_sources)
+ EXTRA_libecasound_plugins_la_SOURCES = $(plugin_all_sources)
+ libecasound_plugins_la_LIBADD = $(ECA_S_EXTRA_LIBS)
+-libecasound_plugins_la_LDFLAGS = -static
++libecasound_plugins_la_LDFLAGS =
+
+ libecasound_plugins_debug_la_SOURCES = $(libecasound_plugins_la_SOURCES)
+ EXTRA_libecasound_plugins_debug_la_SOURCES = $(EXTRA_libecasound_plugins_la_SOURCES)
+--- ecasound-2.8.1.orig/libecasoundc/Makefile.am
++++ ecasound-2.8.1/libecasoundc/Makefile.am
+@@ -14,9 +14,9 @@
+ # !!!
+ # remember to update eca-version.cpp
+ if ECA_AM_DEBUG_MODE
+-eca_ldflags = -version-info @LIBECASOUNDC_VERSION@:0:@LIBECASOUNDC_VERSION_AGE@ -static
++eca_ldflags = -version-info @LIBECASOUNDC_VERSION@:0:@LIBECASOUNDC_VERSION_AGE@
+ else
+-eca_ldflags = -s -version-info @LIBECASOUNDC_VERSION@:0:@LIBECASOUNDC_VERSION_AGE@ -static
++eca_ldflags = -s -version-info @LIBECASOUNDC_VERSION@:0:@LIBECASOUNDC_VERSION_AGE@
+ endif
+
+ INCLUDES = -I$(srcdir)
+--- ecasound-2.8.1.orig/pyecasound/Makefile.am
++++ ecasound-2.8.1/pyecasound/Makefile.am
+@@ -28,7 +28,7 @@
+ $(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/ecacontrol.py
+ endif
+ if ECA_AM_PYECASOUND_CEXT
+-pyecasound_install_list2 = pyecasound.so
++pyecasound_install_list2 = .libs/pyecasound.so
+ pyecasound_uninstall_list2 = $(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/pyecasound.so
+ endif
+
diff --git a/media-sound/ecasound/metadata.xml b/media-sound/ecasound/metadata.xml
new file mode 100644
index 00000000000..c48ef039765
--- /dev/null
+++ b/media-sound/ecasound/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>proaudio</herd>
+<longdescription>
+ Ecasound is a software package designed for multitrack audio
+ processing. It can be used for simple tasks like audio playback,
+ recording and format conversions, as well as for multitrack
+ effect processing, mixing, recording and signal recycling.
+ Ecasound supports a wide range of audio inputs, outputs and
+ effect algorithms. Effects and audio objects can be combined
+ in various ways, and their parameters can be controlled by operator
+ objects like oscillators and MIDI-CCs. A versatile console mode
+ user-interface is included in the package.
+</longdescription>
+<use>
+ <flag name="oil">Use <pkg>dev-libs/liboil</pkg> for inner loop optimizations</flag>
+ <flag name="lv2">Add support for Ladspa V2</flag>
+</use>
+</pkgmetadata>